#
# spec file for package klickety
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without lang

Name:           klickety
Version:        18.08.2
Release:        0
%define kf5_version 5.26.0
# Latest stable Applications (e.g. 17.08 in KA, but 17.11.80 in KUA)
%{!?_kapp_version: %define _kapp_version %(echo %{version}| awk -F. '{print $1"."$2}')}
Summary:        Strategic board game
License:        GPL-2.0+
Group:          Amusements/Games/Board/Other
Url:            http://www.kde.org
Source0:        klickety-%{version}.tar.xz
BuildRequires:  kconfig-devel
BuildRequires:  kconfigwidgets-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kdelibs4support-devel
BuildRequires:  kguiaddons-devel
BuildRequires:  ki18n-devel
BuildRequires:  kiconthemes-devel
BuildRequires:  kio-devel
BuildRequires:  kitemviews-devel
BuildRequires:  knotifyconfig-devel
BuildRequires:  kwidgetsaddons-devel
BuildRequires:  kxmlgui-devel
BuildRequires:  libkdegames-devel
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(Qt5QuickWidgets)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)
Obsoletes:      klickety5 < %{version}
Provides:       klickety5 = %{version}
%if %{with lang}
Recommends:     %{name}-lang
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Klickety is an adaptation of the Clickomania and SameGame games.

%if %{with lang}
%lang_package
%endif

%prep
%setup -q -n klickety-%{version}

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build
  %if %{with lang}
    %find_lang %{name} --with-man --all-name
    %kf5_find_htmldocs
  %endif
  %suse_update_desktop_file -r org.kde.klickety           Game LogicGame

%files
%defattr(-,root,root)
%doc COPYING COPYING.DOC
%doc %lang(en) %{_kf5_htmldir}/en/klickety/
%{_kf5_applicationsdir}/org.kde.klickety.desktop
%{_kf5_applicationsdir}/org.kde.ksame.desktop
%{_kf5_appsdir}/kconf_update/klick*
%{_kf5_appsdir}/klickety/
%{_kf5_bindir}/klickety
%{_kf5_iconsdir}/hicolor/*/apps/klickety.*
%{_kf5_iconsdir}/hicolor/*/apps/ksame.*
%{_kf5_kxmlguidir}/klickety/
%{_kf5_sharedir}/sounds/klickety/
%{_kf5_appstreamdir}/org.kde.klickety.appdata.xml
%{_kf5_appstreamdir}/org.kde.ksame.appdata.xml

%if %{with lang}
%files lang -f %{name}.lang
%doc COPYING*
%endif

%changelog
